Subject: RE: Is IPv6 died ?

From: "Stankevitz, Christian (CT)" <[email-masked]>
Date: Fri, 3 Mar 2000 17:05:06 -0500

I seem to recall a discussion in the past about IPv6 and the problem of
address space.  Is IPv6 really just a large scale research project and what
is the status of IPv8 from a future implementation point of view to solve
the Internet addressing issues?  I have included the original IPv8 posting
in this message.  

Christian Stankevitz

-----Original Message-----
From: Norihiro Ishikawa [mailto:[email-masked]]
Sent: Tuesday, February 15, 2000 12:52 AM
To: Thomas Narten
Cc: Jim Bound; [email-masked]
Subject: Re: Is IPv6 died ?

Since I am not involved in any IP work, my position is fairly
neutral.

But, considering the ongoing discussion, the more realistic
approach is to extend IPv4 for fixing "lack of globally unique
addresses" problem. Considering the ultimate deployment of IPv4,
the solution should be compatible with IPv4 as much as possible.

Since I am not an IP expert, I am not sure whether this approach
is feasible or not.

I understand the technical merit of IPv6. But, to deploy IPv6,
the business and operational merit is more important.

To discuss this issue, it seems to me that a neutral forum in
IETF is needed, with the excellent guidance of IAB.

Any comments ?

Norihiro Ishikawa

At 11:35 AM -0500 00.2.14, Thomas Narten wrote:
> Jim,
>
> Couple of observations.
>
> The IETF has rough consensus on the selection of IPv6. Rough does not
> mean unanimous, nor does it mean that the detractors will necessarily
> be silent. We all know that in the end, the market will determine what
> happens here. The official IETF stance certainly has some influence
> here, but it is limited and by no means definitive. Vendors tend to
> act based on business cases.
>
> Most, if not all of the detractors, seem to have fault with specifics
> of IPv6 itself, but that doesn't mean they have an alternative that is
> any more widely accepted.
>
>> Lastly I don't understand why very bright folks who know routing very
>> well like Yakov don't put their engineer hats on and help make routing
>> work with IPv6.
>
> Folks that say routing doesn't work with IPv6 are of course being
> dishonest. What some folks are saying is that routing in IPv6 (longest
> match with provider-based aggregation) is fundamentally the same as in
> IPv4/CIDR (and this is correct). Thus, the argument goes, why bother
> with IPv6.  Of course, that is a strawman argument. We should keep in
> mind:
>
> - IPv6 wasn't designed to "fix the routing problem", despite what many
>   folks wish. It actually fixes the "lack of globally unique
>   addresses" problem. Plus, it has other benefits.
>
> - Although IPv6 may not "fix" the routing problem, there is good
>   reason to believe it will result in smaller tables than will result
>   with continued use of IPv4 because of:
>    - increased ease of end-site renumbering  (if more renumbering
>      takes place, fewer instances of broken aggregation)
>    - more aggressive aggregation from the start (no legacy assignments
>      to deal with)
>    - a multihoming model based on multiple per-host prefixes
>      (prefixes for multihomed sites are not advertised as exceptions
>      to achieve multihoming)
>
> Finally, the IETF is always willing to look at new approaches to
> existing problems. Whether a new approach merits serious work in the
> IETF depends on the cost/benefit when weighed against the existing
> solutions. So certainly, if a credible alternative to IPv6 was brought
> up for consideration, the IETF would look at it. We would be foolish
> not to. However, this is no different than with any other protocol in
> the IETF.
>
> Thomas
> --------------------------------------------------------------------
> IETF IPng Working Group Mailing List
> IPng Home Page:                      http://playground.sun.com/ipng
> FTP archive:                      ftp://playground.sun.com/pub/ipng
> Direct all administrative requests to [email-masked]
> --------------------------------------------------------------------

************************************************************************

-----Original Message-----
From: Jeff Williams [mailto:[email-masked]]
Sent: Saturday, October 02, 1999 5:18 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: IPv6 and business effect

Susanne and all,

  I would tend to agree with this assessment, but I am sure that
the IETF and ICANN would not.

  IPv8 is currently in deployment now, which we feel is a marked
improvement over IPv6 in many ways.

  Susanne, if you would like some additional info here please feel free
to contact me offline, or call (See sig file below)

[email-masked] wrote:

> In a message dated 10/2/99 11:41:58 PM Eastern Daylight Time,
> [email-masked] writes:
>
> > can someone please help me with some links or information on what effect
> >  IPv6 will have on business today.
> >
> Since IPv6 will probably never be generally deployed, it will
> probably have about the same effect on business that MAP
> had.
>
> Joachim Martillo
> --------------------------------------------------------------------
> IETF IPng Working Group Mailing List
> IPng Home Page:                      http://playground.sun.com/ipng
> FTP archive:                      ftp://playground.sun.com/pub/ipng
> Direct all administrative requests to [email-masked]
> --------------------------------------------------------------------

Regards,

--
Jeffrey A. Williams
Spokesman INEGroup (Over 95k members strong!)
CEO/DIR. Internet Network Eng/SR. Java/CORBA Development Eng.
Information Network Eng. Group. INEG. INC.
E-Mail [email-masked]
Contact Number:  972-447-1894
Address: 5 East Kirkwood Blvd. Grapevine Texas 75208
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Quality Quorum <[email-masked]>
Date: Fri, 3 Mar 2000 17:38:03 -0500 (EST)

> the Internet addressing issues?  I have included the original IPv8 posting

It seems that this topic did not died yet, so I will ask a simple 
non-technical question which bothers me for a long time.

Are all these people plane stupid:

1. Ones who are buying every year a few billion$ worth of 
   network equipment 50% which would never be able to forward IPv6 ?

2. Ones who are paying billion$ to buy manufactures of these
   boxes ?

> Christian Stankevitz

Thanks,

Aleksey

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 08 Mar 2000 12:06:01 -0600

"Stankevitz, Christian (CT)" wrote:
> address space.  Is IPv6 really just a large scale research project 

Hardly, with >30 implementations including some fully supported products.
Oh, and it certainly solves the addressing problem for the next 50 years
if not for ever.

> and what
> is the status of IPv8 

It has no status in the IETF.

  Brian Carpenter
  IAB Chair